Loading...
Searching...
No Matches
gtsam::Cyclic< N > Class Template Reference

## Detailed Description

template<size_t N>
class gtsam::Cyclic< N >

Cyclic group of order N.

## Public Member Functions

| Cyclic (size_t i)
| Constructor.
| Cyclic ()
| Default constructor yields identity.
| operator size_t () const
| Cast to size_t.
Cyclic | operator+ (const Cyclic &h) const
| Addition modulo N.
Cyclic | operator- (const Cyclic &h) const
| Subtraction modulo N.
Cyclic | operator- () const
| Inverse.
void | print (const std::string &s="") const
| print with optional string
bool | equals (const Cyclic &other, double tol=1e-9) const
| equals with an tolerance, prints out message if unequal

## Static Public Member Functions

static Cyclic | Identity ()

The documentation for this class was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/Cyclic.h